# Everyware cache invalidator
__Current version: 0.0.1__

Everyware cache invalidator is a plugin that is dependent on Everyware and Everyboard, it invalidates the frontcache on an event basis.

## Implementation of lua endpoint
For this plugin to work, the server environment must have an endpoint that answers to "/ledge-invalidate", this endpoint should 
invalidate the url sent to it from the cache. If you are using Everyware in a Infomaker hosted environment we have included a 
`example.lua` file that should work out of the box. The following instructions are for a Infomaker hosted environment with nginx/lua support.

The function needs to be initiated in the ledge-run.lua file, it could look like this:
```lua
if ngx.var.request_uri == "/ledge-invalidate/" and ngx.req.get_method() == "POST" then
    local ledgeInvalidation = require "ledge-invalidate.lua"
    ledgeInvalidation:new({
        prefix = "ledge:cache",
        devices = {
            "desktop",
            "tablet",
            "mobile"
        },
        auth = {
            "open",
            "active",
            "shared",
            "expired",
            "closed"
        }
    })
end
```

It takes three parameters `prefix`, `devices` and `auth`. These are variations of the cache key that ledge uses for different 
ways of caching the site.
In the example the actual invalidation files location is `lua/ledge-invalidate/lua.lua`.

You will be able to see if the function is working in the plugin admin interface.

## Release notes

### 1.0.0
